Loading...
Searching...
No Matches
snd_ump_msg_midi2_t Union Reference

`#include <ump_msg.h>`

## Data Fields

snd_ump_msg_midi2_note_t | note_on
snd_ump_msg_midi2_note_t | note_off
snd_ump_msg_midi2_paf_t | poly_pressure
snd_ump_msg_midi2_per_note_cc_t | per_note_acc
snd_ump_msg_midi2_per_note_cc_t | per_note_rcc
snd_ump_msg_midi2_per_note_mgmt_t | per_note_mgmt
snd_ump_msg_midi2_cc_t | control_change
snd_ump_msg_midi2_rpn_t | rpn
snd_ump_msg_midi2_rpn_t | nrpn
snd_ump_msg_midi2_rpn_t | relative_rpn
snd_ump_msg_midi2_rpn_t | relative_nrpn
snd_ump_msg_midi2_program_t | program_change
snd_ump_msg_midi2_caf_t | channel_pressure
snd_ump_msg_midi2_pitchbend_t | pitchbend
snd_ump_msg_midi2_per_note_pitchbend_t | per_note_pitchbend
snd_ump_msg_hdr_t | hdr
uint32_t | raw [2]

## Detailed Description

MIDI2 UMP packet (64bit)

## Field Documentation

## channel_pressure

snd_ump_msg_midi2_caf_t snd_ump_msg_midi2_t::channel_pressure

MIDI2 channel-pressure message

## control_change

snd_ump_msg_midi2_cc_t snd_ump_msg_midi2_t::control_change

MIDI2 control-change message

## hdr

snd_ump_msg_hdr_t snd_ump_msg_midi2_t::hdr

UMP header

## note_off

snd_ump_msg_midi2_note_t snd_ump_msg_midi2_t::note_off

MIDI2 note-off message

## note_on

snd_ump_msg_midi2_note_t snd_ump_msg_midi2_t::note_on

MIDI2 note-on message

## nrpn

snd_ump_msg_midi2_rpn_t snd_ump_msg_midi2_t::nrpn

MIDI2 NRPN message

## per_note_acc

snd_ump_msg_midi2_per_note_cc_t snd_ump_msg_midi2_t::per_note_acc

MIDI2 per-note ACC message

## per_note_mgmt

snd_ump_msg_midi2_per_note_mgmt_t snd_ump_msg_midi2_t::per_note_mgmt

MIDI2 per-note management message

## per_note_pitchbend

snd_ump_msg_midi2_per_note_pitchbend_t snd_ump_msg_midi2_t::per_note_pitchbend

MIDI2 per-note pitch-bend message

## per_note_rcc

snd_ump_msg_midi2_per_note_cc_t snd_ump_msg_midi2_t::per_note_rcc

MIDI2 per-note RCC message

## pitchbend

snd_ump_msg_midi2_pitchbend_t snd_ump_msg_midi2_t::pitchbend

MIDI2 pitch-bend message

## poly_pressure

snd_ump_msg_midi2_paf_t snd_ump_msg_midi2_t::poly_pressure

MIDI2 poly-pressure message

## program_change

snd_ump_msg_midi2_program_t snd_ump_msg_midi2_t::program_change

MIDI2 program-change message

## raw

uint32_t snd_ump_msg_midi2_t::raw[2]

raw UMP packet

## relative_nrpn

snd_ump_msg_midi2_rpn_t snd_ump_msg_midi2_t::relative_nrpn

MIDI2 relative-NRPN message

## relative_rpn

snd_ump_msg_midi2_rpn_t snd_ump_msg_midi2_t::relative_rpn

MIDI2 relative-RPN message

## rpn

snd_ump_msg_midi2_rpn_t snd_ump_msg_midi2_t::rpn

MIDI2 RPN message

The documentation for this union was generated from the following file:

- /build/alsa-lib-5UW3AQ/alsa-lib-1.2.15.3/include/ump_msg.h